import App from './App'
import uView from '@/uni_modules/uview-ui'

// #ifndef VUE3
import Vue from 'vue'
import './utils/showMsg.js'
import './uni.promisify.adaptor'
import QuerySelector from 'components/custom/query-selector.vue'

Vue.component('query-selector', QuerySelector)
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
Vue.use(uView)
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif